module Autoaudio

  class Release
    include Autoaudio::Utils
    include Mongoid::Document
    include Mongoid::Timestamps

    field :release_name,            type: String
    field :release_date,            type: Date
    field :release_genre,           type: String
    field :release_genre_formatted, type: String,  default: -> { format_string(self.release_genre) }
    field :release_number,          type: Integer
    field :release_nfo_url,         type: String,  default: -> { "http://nfodb.net.ru/get_nfo-#{self.release_number}.php" }
    field :release_audio_format,    type: String,  default: -> { test_audio_format(self.release_name) }

    field :release_nfo_downloaded,        type: Boolean, default: false
    field :release_nfo_location,          type: String,  default: nil

    field :release_nzb_downloaded,        type: Boolean, default: false
    field :release_nzb_location,          type: String,  default: nil
    field :release_nzb_download_method,   type: String,  default: nil
    field :release_nzb_download_attempts, type: Integer, default: 0
    field :release_nzb_opened,            type: Boolean, default: false

    field :release_zip_location,          type: String,  default: nil
    field :release_zip_uploaded_url,      type: String,  default: nil
    field :release_zip_created,           type: Boolean, default: false
  end

end
