module Autoaudio

  module Settings
    extend self

    def parameter(*names)
      names.each do |name|
        attr_accessor name

        define_method name do |*values|
          value = values.first
          value ? self.send("#{name}=", value) : instance_variable_get("@#{name}")
        end
      end
    end

    def config(&block)
      instance_eval &block
    end
  end

end

Autoaudio::Settings.config do
  parameter :download_location
  parameter :maximum_retention
  parameter :nzb_client
  parameter :zip_files
  parameter :share_files
  parameter :tweet_files
  parameter :twitter_username
end

